Documents
Create a page or spreadsheet
Pass markdown to fill a new page in one call. Free holds 1 document, Light 3, Suite and up unlimited. Past the limit this returns 403 with code: PLAN_LIMIT_REACHED.
POST
/
documents
Create a page or spreadsheet
curl --request POST \
--url https://api.meetergo.com/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"markdown": "<string>",
"folderId": "<string>",
"parentDocumentId": "<string>"
}
'import requests
url = "https://api.meetergo.com/documents"
payload = {
"title": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"markdown": "<string>",
"folderId": "<string>",
"parentDocumentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
markdown: '<string>',
folderId: '<string>',
parentDocumentId: '<string>'
})
};
fetch('https://api.meetergo.com/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'contactId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'markdown' => '<string>',
'folderId' => '<string>',
'parentDocumentId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/documents"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"folderId\": \"<string>\",\n \"parentDocumentId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meetergo.com/documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"folderId\": \"<string>\",\n \"parentDocumentId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"folderId\": \"<string>\",\n \"parentDocumentId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"kind": "document",
"parentDocumentId": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Body
application/json
Available options:
document, spreadsheet Maximum string length:
200CRM contact the document is about (omit/null for none).
Fill the new page with this Markdown (headings, lists, checklists, quotes, code, tables, links). Pages only.
Maximum string length:
500000Library folder to create it in (omit/null for root).
Page to nest the new document inside (omit/null for root).
⌘I
Create a page or spreadsheet
curl --request POST \
--url https://api.meetergo.com/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"markdown": "<string>",
"folderId": "<string>",
"parentDocumentId": "<string>"
}
'import requests
url = "https://api.meetergo.com/documents"
payload = {
"title": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"markdown": "<string>",
"folderId": "<string>",
"parentDocumentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
contactId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
markdown: '<string>',
folderId: '<string>',
parentDocumentId: '<string>'
})
};
fetch('https://api.meetergo.com/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetergo.com/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'contactId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'markdown' => '<string>',
'folderId' => '<string>',
'parentDocumentId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetergo.com/documents"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"folderId\": \"<string>\",\n \"parentDocumentId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meetergo.com/documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"folderId\": \"<string>\",\n \"parentDocumentId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetergo.com/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"contactId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"markdown\": \"<string>\",\n \"folderId\": \"<string>\",\n \"parentDocumentId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"kind": "document",
"parentDocumentId": "<string>",
"contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}